% extremos do intervalo, passo e numero de iteracoes
a=0.0;
b=3.0;
Delta_t=0.01;
N=(b-a)/Delta_t;
%condicao inicial
t=a;
x=pi/4;
erro(1)=abs(x-atan(t+1));
% passo iterativo
for i=2:N+1
  t=t+Delta_t;
  x=x+Delta_t*cos(x)^2;
  erro(i)=abs(x-atan(t+1));
  end
% representacao grafica do erro
plot(erro)
